Package com.verisign.epp.transport.server

## Class EPPQuicServerThread

- java.lang.Object
- - java.lang.Thread
  - - com.verisign.epp.transport.server.EPPQuicServerThread

- All Implemented Interfaces:
    `java.lang.Runnable`

      public class EPPQuicServerThread
      extends java.lang.Thread

  Server thread for processing a new client connection and to loop process commands.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPQuicServerThread​(net.luminis.quic.QuicStream aStream, ServerEventHandler aHandler)` | Creates a new EPPQuicServerThread object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `run()` | Process the client connection.

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, onSpinWait, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPQuicServerThread

          public EPPQuicServerThread​(net.luminis.quic.QuicStream aStream,
                                     ServerEventHandler aHandler)

      Creates a new EPPQuicServerThread object.
      Parameters:
        `aStream` - Quick stream to handle in thread
        `aHandler` - Client connection handler

  - ### Method Detail

    - #### run

          public void run()

      Process the client connection.
      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`